﻿$packageName    = 'wordweb-free'
$installerType  = 'exe'
$url            = 'https://uk.wordwebsoftware.com/downloads/wordweb8.exe'
$checksum       = '3A466C9431FC030F81D505BAED457DF21D429F4ECEC0827EE54E29A3F627F808'
$toolsDir       = $(Split-Path -parent $MyInvocation.MyCommand.Definition)
$silentArgs     = '/s'
$validExitCodes = @(0)
$ahkExe         = 'AutoHotKey'
$ahkFile        = Join-Path $toolsDir "WWFInstall.ahk"

Start-Process $ahkExe $ahkFile

$packageArgs = @{
  packageName   = $packageName
  fileType      = $installerType
  url           = $url
  silentArgs    = $silentArgs
  validExitCodes= $validExitCodes
  softwareName  = 'WordWeb'
  checksum      = $checksum
  checksumType  = 'sha256'
}

Install-ChocolateyPackage @packageArgs
